﻿-- To update a translation please use the localization utility at:
-- http://wow.curseforge.com/addons/spellflash/localization/

local AddonName, AddonTable = ...
local function DefaultFunction(_, key) return key end
AddonTable.Localize = setmetatable({}, {__index = DefaultFunction})
local L = AddonTable.Localize

if GetLocale() == "frFR" then -- French
L["Add Name or Target to List"] = "ajouter le nom ou la cible a la liste"
L["Asleep"] = "Endormi"
L["Blink Spells"] = "clignotement des sort"
L["Configure Class Module"] = "configuration le module de la classe"
L["Debuff Owner Checking"] = "vérification du possesseur du debuff"
-- L["Default Proc Highlighting"] = ""
L["Flash Brightness:"] = "luminosité de l'eclat"
L["Flash Macros"] = "éclat sur les macro"
L["Flash Size:"] = "taille de l'éclat "
L["In Combat Only"] = "En combat seulement" -- Needs review
L["Movement Check"] = "vérification du mouvement"
L["Range Check"] = "vérification de la distance"
L["Remove Selection from List"] = "retirer l'élément sélectionné de la liste "
L["Selected Class Module:"] = "sélectionner le module de classe"
L["Shields"] = "Boucliers"
L["Spell Flashing"] = "éclat"
L["SpellFlash settings have been reset for all players"] = "toute les configuration ont bien été réinitialise pour tout les personnages"
L["Use All Class Modules"] = "utiliser tout les module de classe"

elseif GetLocale() == "deDE" then -- German
L["Add Name or Target to List"] = "Name oder Ziel zur Liste hinzufügen"
L["Asleep"] = "Schlafend"
L["Blink Spells"] = "Zaubersprüche aufblinken"
L["Configure Class Module"] = "Klassen-Module konfigurieren"
L["Debuff Owner Checking"] = "Überprüfung der Besitzer von Schwächungszaubern"
-- L["Default Proc Highlighting"] = ""
L["Flash Brightness:"] = "Aufblitz-Leuchtkraft:"
L["Flash Macros"] = "Aufblitz-Makros"
L["Flash Size:"] = "Aufblitz-Größe:"
-- L["In Combat Only"] = ""
L["Movement Check"] = "Bewegungsüberprüfung"
L["Range Check"] = "Reichweitenüberprüfung"
L["Remove Selection from List"] = "Auswahl aus der Liste entfernen"
L["Selected Class Module:"] = "Ausgewählte Klassen-Module:"
L["Shields"] = "Schilde"
L["Spell Flashing"] = "Aufblitzende Zauber"
L["SpellFlash settings have been reset for all players"] = "SpellFlash-Einstellungen wurden für alle Spieler zurückgesetzt."
L["Use All Class Modules"] = "Alle Klassen-Module verwenden"

elseif GetLocale() == "koKR" then -- Korean
L["Add Name or Target to List"] = "목록에 이름 혹은 대상을 추가"
L["Asleep"] = "수면" -- Needs review
L["Blink Spells"] = "주문 깜박거림"
L["Configure Class Module"] = "직업 모듈 설정"
L["Debuff Owner Checking"] = "약화 효과 소유자 확인"
L["Default Proc Highlighting"] = "기본 발동 효과 강조"
L["Flash Brightness:"] = "번쩍임 밝기:"
L["Flash Macros"] = "매크로 번쩍임"
L["Flash Size:"] = "번쩍임 크기:"
L["In Combat Only"] = "전투 중에 한해"
L["Movement Check"] = "이동 확인"
L["Range Check"] = "사정 거리 확인"
L["Remove Selection from List"] = "목록에서 선택된 것 제거 "
L["Selected Class Module:"] = "선택된 직업 모듈:"
L["Shields"] = "방패"
L["Spell Flashing"] = "주문 번쩍임"
L["SpellFlash settings have been reset for all players"] = "SpellFlash 설정이 모든 플레이어에 대해 초기화 되었습니다."
L["Use All Class Modules"] = "모든 직업 모듈 사용"

elseif GetLocale() == "esMX" then -- Latin American Spanish
-- L["Add Name or Target to List"] = ""
-- L["Asleep"] = ""
-- L["Blink Spells"] = ""
-- L["Configure Class Module"] = ""
-- L["Debuff Owner Checking"] = ""
-- L["Default Proc Highlighting"] = ""
-- L["Flash Brightness:"] = ""
-- L["Flash Macros"] = ""
-- L["Flash Size:"] = ""
-- L["In Combat Only"] = ""
-- L["Movement Check"] = ""
-- L["Range Check"] = ""
-- L["Remove Selection from List"] = ""
-- L["Selected Class Module:"] = ""
-- L["Shields"] = ""
-- L["Spell Flashing"] = ""
-- L["SpellFlash settings have been reset for all players"] = ""
-- L["Use All Class Modules"] = ""

elseif GetLocale() == "ruRU" then -- Russian
L["Add Name or Target to List"] = "Добавить имя или цель в список"
L["Asleep"] = "Сон"
L["Blink Spells"] = "Мигать заклинаниями"
L["Configure Class Module"] = "Настройка модуля класса"
L["Debuff Owner Checking"] = "Проверка владельца дебаффа"
L["Default Proc Highlighting"] = "Подсветка прока по умолчанию" -- Needs review
L["Flash Brightness:"] = "Яркость подсветки:"
L["Flash Macros"] = "Подсвечивать макросы"
L["Flash Size:"] = "Размер подсветки:"
L["In Combat Only"] = "Только в режиме боя"
L["Movement Check"] = "Проверка движения"
L["Range Check"] = "Проверка дистанции"
L["Remove Selection from List"] = "Удалить выбранное из списка"
L["Selected Class Module:"] = "Модуль выбранного класса"
L["Shields"] = "Щиты"
L["Spell Flashing"] = "Подсветка заклинания"
L["SpellFlash settings have been reset for all players"] = "Настройки SpellFlash были сброшены для всех игроков"
L["Use All Class Modules"] = "Использовать все модули классов"

elseif GetLocale() == "zhCN" then -- Simplified Chinese
L["Add Name or Target to List"] = "添加名称或目标到列表" -- Needs review
L["Asleep"] = "睡眠" -- Needs review
L["Blink Spells"] = "闪动法术" -- Needs review
L["Configure Class Module"] = "设置职业分类" -- Needs review
L["Debuff Owner Checking"] = "减益效果目标确认" -- Needs review
L["Default Proc Highlighting"] = "默认Proc闪动" -- Needs review
L["Flash Brightness:"] = "闪动亮度" -- Needs review
L["Flash Macros"] = "闪动集合" -- Needs review
L["Flash Size:"] = "闪动尺寸" -- Needs review
L["In Combat Only"] = "只在战斗中" -- Needs review
L["Movement Check"] = "移动确定" -- Needs review
L["Range Check"] = "距离确定" -- Needs review
L["Remove Selection from List"] = "把选定的从列表移除" -- Needs review
L["Selected Class Module:"] = "选定职业分类" -- Needs review
L["Shields"] = "盾牌" -- Needs review
L["Spell Flashing"] = "法术闪动" -- Needs review
L["SpellFlash settings have been reset for all players"] = "重置所有角色的SpellFlash设定" -- Needs review
L["Use All Class Modules"] = "使用所有职业分类" -- Needs review

elseif GetLocale() == "esES" then -- Spanish
L["Add Name or Target to List"] = "Añadir Nombre u Objetivo a la Lista"
L["Asleep"] = "Dormido"
L["Blink Spells"] = "Parpadear hechizos"
L["Configure Class Module"] = "Configurar Módulo de Clase"
L["Debuff Owner Checking"] = "Comprobar el Propietario de la Desventaja"
-- L["Default Proc Highlighting"] = ""
L["Flash Brightness:"] = "Brillo de Destello"
L["Flash Macros"] = "Hacer destellar las Macros"
L["Flash Size:"] = "Tamaño de Destello:"
L["In Combat Only"] = "Sólo en combate" -- Needs review
L["Movement Check"] = "Comprobación de Movimiento"
L["Range Check"] = "Comprobación de Rango"
L["Remove Selection from List"] = "Quitar Selección de la Lista"
L["Selected Class Module:"] = "Módulo de Clase Seleccionado:"
L["Shields"] = "Escudos"
L["Spell Flashing"] = "Destello de Hechizo"
L["SpellFlash settings have been reset for all players"] = "Las opciones de SpellFlash han sido reiniciadas para todos los personajes"
L["Use All Class Modules"] = "Usar Todos los Módulos de Clase"

elseif GetLocale() == "zhTW" then -- Traditional Chinese
L["Add Name or Target to List"] = "新增名字或目標至清單"
L["Asleep"] = "睡眠"
-- L["Blink Spells"] = ""
L["Configure Class Module"] = "設定職業模組"
L["Debuff Owner Checking"] = "減益效果目標確認" -- Needs review
-- L["Default Proc Highlighting"] = ""
L["Flash Brightness:"] = "閃動亮度"
L["Flash Macros"] = "閃動巨集"
L["Flash Size:"] = "閃動尺寸"
-- L["In Combat Only"] = ""
L["Movement Check"] = "移動確認"
L["Range Check"] = "距離確認"
L["Remove Selection from List"] = "自清單中移除選定" -- Needs review
L["Selected Class Module:"] = "選定職業模組"
L["Shields"] = "盾牌" -- Needs review
L["Spell Flashing"] = "法術閃動"
L["SpellFlash settings have been reset for all players"] = "重置所有角色的SpellFlash設定"
L["Use All Class Modules"] = "使用所有職業模組"

end